name: Release

on:
  push:
    tags:
      - 'v[0-9]*.[0-9]*.[0-9]'

jobs:
  deploy:
    if: "!contains(gitea.ref_name, 'beta') && !contains(gitea.ref_name, 'test')"
    uses: ./.gitea/workflows/deploy_call.yaml
    with:
      prerelease: false
    secrets: inherit